/* -*-C-*-
 *
 *
 * Filename : touchwin.c
 *
 * Author   : Simon J Raybould.    (sie@fulcrum.bt.co.uk).
 *
 * Date     : Friday 23rd August 1991.
 *
 * Desc     : Makes whole window in need of a refresh.
 *
 *
 * THIS CODE IS NOT PUBLIC DOMAIN
 * ==============================
 * 
 * This code is copyright Simon J Raybould 1991, all rights are reserved.
 * All code, ideas, data structures and algorithms remain the property of the
 * author. Neither the whole nor sections of this code may be used as part
 * of other code without the authors consent. If you wish to use some of this
 * code then please email me at (sie@fulcrum.bt.co.uk).
 *
 * This source is not public domain, so you do not have any right to alter it
 * or sell it for personal gain. The source is provided purely for reference
 * purposes. You may re-compile the source with any compiler you choose.
 * You must not distribute altered copies without the authors consent. My
 * intention is that the source will help people isolate any bugs much more
 * effectivly.
 *
 * Disclaimer
 * ==========
 *
 * No implication is made as to this code being fit for any purpose at all.
 * I (the author) shall not be held responsible for any loss of data or damage 
 * to property that may result from its use or misuse.
 *
 *
 * Revision History
 * ================
 *
 * $Log:	touchwin.c,v $
 * Revision 1.3  91/12/30  10:31:07  sie
 * Removed LRLine and LRATTRS.
 * The speed increase caused by them was too insignificant.
 * 
 * Revision 1.2  91/12/28  14:00:55  sie
 * Removed WinStat.
 * Renamed LineElement as lnel.
 * 
 * Revision 1.1  91/09/07  11:48:40  sie
 * Initial revision
 * 
 *
 */

static char *rcsid = "$Header: SRC:lib/curses/src/RCS/touchwin.c,v 1.3 91/12/30 10:31:07 sie Exp $";

#include "acurses.h"


touchwin(WINDOW *WinPtr)
{
  int Line;
  
  if(!(CursesFlags & CFLAG_INITSCR))
    return ERR;
  
  for(Line=0; Line<WinPtr->NLines; Line++) {
    WinPtr->LnArry[Line].Touched = TRUE;
    /* Mark whole line as refreshable */
    WinPtr->LnArry[Line].StartCol = 0;
    WinPtr->LnArry[Line].EndCol = WinPtr->_maxx;
  }
  return OK;
}
